<?php
//ini_Set('display_errors',1);
//error_reporting(E_ALL);
session_start();
require_once ("../../config/Cado.php");
require_once ("../flujocaja/cFlujocaja.php");
$oFlujocaja = new cFlujocaja();
require_once ("../usuario/cUsuario.php");
$oUsuario = new cUsuario();
require_once ("../impresora/cImpresora.php");
$oImpresora = new cImpresora(); 
require_once ("../caja/cCaja.php");
$oCaja = new cCaja();
require_once("../formatos/formato.php");

$lblmon_sim = 'S/ ';


	$dts1=$oCaja->filtrar('','',$_SESSION['puntoventa_id']);
	while($dt1 = mysqli_fetch_array($dts1))
	{
		
		$caj_id = $dt1['tb_caja_id'];
		$caj_nom = $dt1['tb_caja_nom'];
		$mon_abr = $dt1['tb_moneda_sim'];
		$ban_nom = $dt1['tb_banco_abr'];
		
		
		
		
		$dtsie=$oFlujocaja->resumen_ingreso(fecha_mysql($_POST['fec1']),fecha_mysql($_POST['fec2']),$_POST['usu_id'],$caj_id);
		$dtie = mysqli_fetch_array($dtsie);
		$to_ingresos	=$dtie['total'];
		mysqli_free_result($dtsie);


		$dtsee=$oFlujocaja->resumen_egreso(fecha_mysql($_POST['fec1']),fecha_mysql($_POST['fec2']),$_POST['usu_id'],$caj_id);
		$dtee = mysqli_fetch_array($dtsee);
		$to_egresos	=$dtee['total'];
		mysqli_free_result($dtsee);

		$saldo = $to_ingresos - $to_egresos;
		
		
		$data['caj_nom'][]= $caj_nom;
		$data['caj_ing'][]= formato_money($to_ingresos);
		$data['caj_egr'][]= formato_money($to_egresos);
		$data['caj_sal'][]= formato_money($saldo);
		
	
}











$dts=$oUsuario->mostrarUno($_POST['usu_id']);
	$dt = mysqli_fetch_array($dts);
	$use=$dt['tb_usuario_use'];
	$use=$dt['tb_usuario_use'];
	$nom=$dt['tb_usuario_nom'];
	$ape=$dt['tb_usuario_ape'];
	$dni=$dt['tb_usuario_dni'];
	$ema=$dt['tb_usuario_ema'];
	$tel=$dt['tb_usuario_tel'];
	$dir=$dt['tb_usuario_dir'];
	$blo=$dt['tb_usuario_blo'];
	$usugru_id	=$dt['tb_usuariogrupo_id'];
	$usuper_id	=$dt['tb_usuarioperfil_id'];
	$punven_id		=$dt['tb_puntoventa_id'];
	$usu_ser		=$dt['tb_usuario_ser'];
	mysqli_free_result($dts);


$dtsi=$oImpresora->mostrarUno(1);
$dti = mysqli_fetch_array($dtsi);
	$imp_nom 	=$dti['tb_impresora_nom'];
	$imp_nomloc =$dti['tb_impresora_nomloc'];
	$imp_ser 	=$dti['tb_impresora_ser'];
	$imp_url 	=$dti['tb_impresora_url'];
	$imp_ip 	=$dti['tb_impresora_ip'];
mysqli_free_result($dtsi); 


$data['mon_sim'] = $lblmon_sim;
$data['usu_nom'] = $nom.' '.$ape;
$data['fec1'] = mostrarFecha($_POST['fec1']);
$data['fec2'] = mostrarFecha($_POST['fec2']);


$data['imp_nom'] = $imp_nom;
$data['imp_nomloc'] = $imp_nomloc;
$data['imp_ser'] = $imp_ser;
$data['imp_url'] = $imp_url;
$data['imp_ip']	 = $imp_ip;
$archivo_ticket='flujocaja/flujocaja_ticket_mat.php';
$data['imp_doc'] = $imp_url.$archivo_ticket;


echo json_encode($data);




?>